Skip to main content
POST
/
payment-methods
/
{id}
/
default
Set as default payment method
curl --request POST \
  --url https://api.billing.io/v1/payment-methods/{id}/default \
  --header 'Authorization: Bearer <token>'
{
  "id": "pm_1a2b3c4d5e",
  "org_id": "<string>",
  "wallet_id": "<string>",
  "display_name": "<string>",
  "is_default": true,
  "required_confirmations": 123,
  "min_amount_usd": 123,
  "max_amount_usd": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Set a payment method as the default for your organization.
curl -X POST https://api.billing.io/v1/payment-methods/pm_a1b2c3d4e5f6/default \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Path Parameters

id
string
required

The payment method identifier (prefixed pm_)

Response

Payment method set as default

id
string

Unique identifier (prefixed pm_)

Example:

"pm_1a2b3c4d5e"

org_id
string

Organization identifier

wallet_id
string

Wallet identifier receiving funds

chain
enum<string>

Blockchain network

Available options:
tron,
arbitrum,
base
token
enum<string>

Stablecoin token

Available options:
USDT,
USDC
display_name
string | null

Human-readable display name

status
enum<string>
  • active — Payment method is available for use
  • disabled — Payment method has been disabled
Available options:
active,
disabled
is_default
boolean

Whether this is the default payment method

required_confirmations
integer

Number of block confirmations required

min_amount_usd
number<double> | null

Minimum checkout amount in USD

max_amount_usd
number<double> | null

Maximum checkout amount in USD

environment
enum<string>
Available options:
live,
sandbox
created_at
string<date-time>
updated_at
string<date-time>